# opendmarc_dns_fake_record()

[back to index]

SYNOPSIS |
    #include <dmarc.h>
    voidopendmarc_dns_fake_record(
    	char *name,
    	char *answer
    );
Updates a list of hard-coded DNS replies. Intended for by unit tests.
DESCRIPTION |
Called When | `opendmarc_dns_fake_record()` may be called at any time.
ARGUMENTS |
Argument | Description
--- | ---
name | The name of a DNS TXT record whose response should be hard-coded.
answer | The content that should be returned in place of live content for the named record.
RETURN VALUES | None.

Copyright (c) 2013, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the license.